/*********************************************************************
*                SEGGER MICROCONTROLLER GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 2003-2014     SEGGER Microcontroller GmbH & Co KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : USB_MTP_Private.h
Purpose : Private header of USB MTP (Media Transfer Protocol)
--------  END-OF-HEADER  ---------------------------------------------
*/

#ifndef MTP_PRIVATE_H
#define MTP_PRIVATE_H

#include "USB_MTP.h"

#if MTP_DEBUG_LEVEL > 0
  #include <stdio.h>
#endif

#if defined(__cplusplus)
extern "C" {     /* Make sure we have C-declarations in C++ programs */
#endif

/*********************************************************************
*
*       defines, non-configurable
*/
#if MTP_DEBUG_LEVEL == 2
  #define MTP_DPRINT(_s) printf _s
  #define MTP_DERROR(_s) printf _s
#elif MTP_DEBUG_LEVEL == 1
  #define MTP_DPRINT(_s)
  #define MTP_DERROR(_s) printf _s
#else
  #define MTP_DPRINT(_s)
  #define MTP_DERROR(_s)
#endif

/*********************************************************************
*
*       File system types
*/
#define FS_TYPE_UNDEFINED               0x0000
#define FS_TYPE_GENERIC_FLAT            0x0001
#define FS_TYPE_GENERIC_HIERACHICAL     0x0002

#if defined(__cplusplus)
  }              /* Make sure we have C-declarations in C++ programs */
#endif

#endif                 /* Avoid multiple inclusion */

/**************************** end of file ***************************/
